_ocsd_ete_cfg Struct Reference
OpenCSD Library : Trace Packet Types

`#include <trc_pkt_types_ete.h>`

## Public Attributes

uint32_t | reg_idr0
uint32_t | reg_idr1
uint32_t | reg_idr2
uint32_t | reg_idr8
uint32_t | reg_devarch
uint32_t | reg_configr
uint32_t | reg_traceidr
ocsd_arch_version_t | arch_ver
ocsd_core_profile_t | core_prof

## Detailed Description

Definition at line 47 of file trc_pkt_types_ete.h.

## Member Data Documentation

## arch_ver

ocsd_arch_version_t _ocsd_ete_cfg::arch_ver

Architecture version

Definition at line 56 of file trc_pkt_types_ete.h.

## core_prof

ocsd_core_profile_t _ocsd_ete_cfg::core_prof

Core Profile

Definition at line 57 of file trc_pkt_types_ete.h.

## reg_configr

uint32_t _ocsd_ete_cfg::reg_configr

Config Register

Definition at line 54 of file trc_pkt_types_ete.h.

## reg_devarch

uint32_t _ocsd_ete_cfg::reg_devarch

DevArch register

Definition at line 53 of file trc_pkt_types_ete.h.

## reg_idr0

uint32_t _ocsd_ete_cfg::reg_idr0

ID0 register

Definition at line 49 of file trc_pkt_types_ete.h.

## reg_idr1

uint32_t _ocsd_ete_cfg::reg_idr1

ID1 register

Definition at line 50 of file trc_pkt_types_ete.h.

## reg_idr2

uint32_t _ocsd_ete_cfg::reg_idr2

ID2 register

Definition at line 51 of file trc_pkt_types_ete.h.

## reg_idr8

uint32_t _ocsd_ete_cfg::reg_idr8

ID8 - maxspec

Definition at line 52 of file trc_pkt_types_ete.h.

## reg_traceidr

uint32_t _ocsd_ete_cfg::reg_traceidr

Trace Stream ID register

Definition at line 55 of file trc_pkt_types_ete.h.

The documentation for this struct was generated from the following file:

- /build/libopencsd-nipXOR/libopencsd-1.2.0/decoder/include/opencsd/ete/trc_pkt_types_ete.h